Skip to main content
GET
https://prod-api.raisedonors.com
/
api
/
Donor
/
{donorId}
/
responses
cURL
curl --request GET \
  --url https://prod-api.raisedonors.com/api/Donor/{donorId}/responses \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": 123,
      "customCollectionId": 123,
      "customCollectionName": "<string>",
      "customFieldId": 123,
      "customFieldName": "<string>",
      "value": "<string>",
      "entityTypeDisplayName": "<string>",
      "responseType": "<string>",
      "createdDate": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

donorId
integer<int64>
required

Query Parameters

Filter
string
Skip
integer<int32>
Take
integer<int32>
SortBy
enum<string>

Field to sort by (case-insensitive). Valid options: createdate, createddatetime, email, firstname, gifts, giftsum, id, lastname, modifieddatetimeutc, name, phone

Available options:
createdate,
createddatetime,
email,
firstname,
gifts,
giftsum,
id,
lastname,
modifieddatetimeutc,
name,
phone
Descending
boolean
IncludeDetails
boolean

Response

OK

items
object[]
total
integer<int32>
Last modified on June 5, 2026